Package org.bukkit.block.data.type

# Interface Wall

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface Wall extends Waterlogged
This class encompasses the 'north', 'east', 'south', 'west', height flags which are used to set the height of a wall. 'up' denotes whether the well has a center post.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Wall.Height`
The different heights a face of a wall may have.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Wall.Height`
`getHeight(@NotNull BlockFace face)`
Gets the height of the specified face.
`boolean`
`isUp()`
Gets the value of the 'up' property.
`void`
`setHeight(@NotNull BlockFace face, @NotNull Wall.Height height)`
Set the height of the specified face.
`void`
`setUp(boolean up)`
Sets the value of the 'up' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### isUp

boolean isUp()
Gets the value of the 'up' property.

Returns:
  the 'up' value

### setUp

void setUp(boolean up)
Sets the value of the 'up' property.

Parameters:
  `up` - the new 'up' value

### getHeight

@NotNull @NotNull Wall.Height getHeight(@NotNull @NotNull BlockFace face)
Gets the height of the specified face.

Parameters:
  `face` - to check
Returns:
  if face is enabled

### setHeight

void setHeight(@NotNull @NotNull BlockFace face, @NotNull @NotNull Wall.Height height)
Set the height of the specified face.

Parameters:
  `face` - to set
  `height` - the height